For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
    • CRM Generic APIs
    • PMS APIs
        • GETGet all concessions
        • GETGet concession by ID
        • GETGet all floor plans
        • GETGet floor plan by ID
        • GETGet all units
        • GETGet a unit by ID
        • GETGet all unit types
        • GETGet unit type by ID
        • PUTUpdate Unit: Yardi - Not Supported
        • POSTCreate Unit: Yardi - Not Supported
        • POSTCreate Unit file: Yardi - Not Supported
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
Yardi (Legacy)Units

Get all unit types

GET
/v1/unit-types/
GET
/v1/unit-types/
$curl https://api.propexo.com/v1/unit-types/ \
> -H "Authorization: Bearer <token>"
1{
2 "meta": {
3 "orderBy": [
4 {}
5 ],
6 "offset": 0,
7 "limit": 100,
8 "hasMore": true,
9 "total": 1000
10 },
11 "results": [
12 {
13 "id": "clwktsp9v000008l31iv218hn",
14 "created_at": "2024-03-21T15:38:08.337Z",
15 "updated_at": "2024-03-22T10:59:45.119Z",
16 "last_seen": "2024-03-22T10:59:45.119Z",
17 "x_id": "1bed1bath",
18 "x_property_id": "greenbay",
19 "x_location_id": null,
20 "name": "1 Bed 1 Bath",
21 "bedrooms": 2,
22 "bathrooms": "1.5",
23 "bathrooms_full": 1,
24 "bathrooms_half": 1,
25 "rentable_square_feet": 1000,
26 "gross_square_feet": 1000,
27 "rent_minimum_in_cents": 75000,
28 "rent_maximum_in_cents": 75000,
29 "unit_count": 100,
30 "deposit_amount_in_cents": 10000,
31 "deposit_amount_raw": "100.00",
32 "integration_id": "clwh5u07w000508me66sfh3um",
33 "integration_vendor": "YARDI",
34 "property_id": "clwi5xiix000008l6ctdgafyh"
35 }
36 ]
37}
Get all unit types
Was this page helpful?
Previous

Get unit type by ID

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

order-bystringOptionalDefaults to created_at:desc

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

offsetinteger or nullOptional>=0Defaults to 0
Can be used for paginating results
limitinteger or nullOptional0-250Defaults to 100
A number between 1 and 250 to determine the number of results to return in a single query
x_idstringOptional
The external ID from the integration vendor
location_idstringOptional

The Propexo unique identifier for the location associated with the property (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.

property_idstringOptional
The Propexo unique identifier for the property
integration_idstringOptional
The Propexo unique identifier for the integration
integration_vendorenumOptional
The property management system of record

Response

Successful response
metaobject
resultslist of objects

Errors

400
Bad Request Error